--- title: "Delete quarantined email request" slug: "delete-quarantined-email-request" tags: ["Reference", "Email Security - Cloud", "Customer", "Cloud Security"] updated: 2026-09-04T19:23:14Z published: 2026-09-04T19:23:14Z canonical: "docs.trellix.com/delete-quarantined-email-request" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Delete quarantined email request Deletes the email file present in the quarantine for the given Email Security — Cloud message ID. `POST https://<etp_instance_addr>/api/v1/quarantine/delete/<id>` **Required headers:** `x-fireeye-api-key: <key>`—Specifies your personal API key. `Content-Type: “application/json”`— Content-type of the request body. ### Options - `id`—(string) The message ID logged when an email is delivered from the Email Security — Cloud stack. - `traffic_type`—(inbound or outbound) Traffic type defaults to inbound. To handle outbound traffic, set the traffic_type parameter to outbound. ### Example of an inbound request `POST https://etp.us.fireeye.com/api/v1/quarantine/delete/1B9042346F82A4FB5862a2bc0` ### Delete quarantined email inbound response Values for ID and other fields are for illustration purposes only. If the email exists in quarantine and the delete operation is successful: ``` {  "data": {    "type": "quarantine",    "message_ids": [      "1B9042346F82A4FB5862a2bc0"    ]    "deleted": true  },  "meta": {    "copyright": "Copyright 2019 Fireeye Inc"  } } ``` If the email does not exist in quarantine: ``` {  "message": "code=204, message=Quarantine record 1B9042346F82A4FB5862a2bc0 does not exist!" } ``` ### Example of an outbound request `POST https://etp.us.fireeye.com/api/v1/quarantine/delete/1B9042346F82A4FB5862a2bc0-H 'x-fireeye-api-key: <APIKEY>' -d '{"traffic_type":"outbound"}'` ### Delete quarantined email outbound response ``` {    "data": {        "type": "quarantine",        "operation": "delete",        "successful_message_ids": [            "1200174769D96A1065c72ece1"        ],        "failed_message_ids": []    },    "meta": {        "copyright": "Copyright 2019 Fireeye Inc"    } } ``` ### cURL code example: delete quarantined email `curl -X POST -H "x-fireeye-api-key: xxxxxxxxxxxxxxxx" -H "Content-Type: application/json" https://etp.us.fireeye.com/api/v1/quarantine/delete/1B9042346F82A4FB5862a2bc0 -d '{}'` This cURL sample includes the following options: - `-X POST` —This option changes the HTTP method to POST. - `-H 'x-fireeye-api-key: xxxxxxxxxxxxxxx'`—This header specifies your personal API key. - `-H "Content-Type: application/json"`—This header specifies that the request body is sent to the server in JSON format. - `https://etp.us.fireeye.com/v1/quarantine/delete/1B9042346F82A4FB5862a2bc0` —The quarantine request URL. Replace `etp.us.fireeye.com` with the address of your Email Security — Cloud instance, and `1B9042346F82A4FB5862a2bc0` with your message ID. - `-d '{}'`—Specifies empty request data.